Subject: Re: BUG: IPv6 stops working after a while, needs ip ne del command to reset

From: Brian Haley <[email-masked]>
Date: Wed, 15 Sep 2010 13:37:05 -0400

On 09/14/2010 03:56 PM, Thomas Habets wrote:
> 
> Sorry for the late reply. I've been swamped.
> 
> On Wed, 1 Sep 2010, Brian Haley wrote:
>> So are you running with this set to "Shared Network Port" mode?  I'm
>> guessing you are.
> 
> Yes, there's no dedicated ILO port.
> 
>> There was another report on netdev back in 11/2008 on this exact
>> hardware,
>> with the same problem.
> 
> I can't seem to find it. Do you happen to have the subject line or
> something?

It was actually a month earlier in 2008, I mis-typed, here's the link:

http://marc.info/?l=linux-netdev&m=122280545121251&w=2

>> I dug-up my notes on the problem, and from what I can tell, the receive
>> multicast filters on the NIC were getting removed, causing both incoming
>> IPv6 and IPv4 multicast packets to get dropped.
> 
> Sounds about right. From what I understand the relevant registers were
> still the same for me when it wasn't working though (if that indeed is
> how the filter is implemented).

One of the outcomes of that investigation was to update the firmware
and/or iLO, I'm not sure if either fixed the problem.

-Brian